
#include <WiFi.h>                                 // esp32 library
#include <FirebaseESP32.h>                        // firebase library

#define FIREBASE_HOST "finalproject-dc86d.firebaseio.com"  // the project name address from firebase id
#define FIREBASE_AUTH "4KLLxKraltvBkBOoLJrOjJI7QJvcpMPE2IaKjjhK"                          // the secret key generated from firebase
#define WIFI_SSID "SINHA2P4"                                // input your home or public wifi name
#define WIFI_PASSWORD "Nishita-9733096735"                            // password of wifi ssid

String fireString1 = "";     
String fireString2 = "";    
String fireString3 = "";    
String fireString4 = "";    
String fireString5 = "";    // led status received from firebase


int rec_int[100];
int rec_byte[] = {0,0,0,0,0};
int ind;
int states[] = {0,0,0,0,0};

FirebaseData firebaseData;

//FirebaseData firebaseData6;
void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);        //for the USB serial devices, this baud rate is meaningless - can be "0"
  Serial1.begin(9600);      //this is the USART SERIAL.  On SAM boards, like ItsyBitsy and D11, this is
   WiFi.begin(WIFI_SSID, WIFI_PASSWORD);                          // try to connect with wifi

  Serial.print("Connecting to ");
  Serial.print(WIFI_SSID);
  while (WiFi.status() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }

  Serial.println();
  Serial.print("Connected to ");
  Serial.println(WIFI_SSID);
  Serial.print("IP Address is : ");
  Serial.println(WiFi.localIP());                                // print local IP address
  Firebase.begin(FIREBASE_HOST, FIREBASE_AUTH);                  // connect to firebase
  Firebase.reconnectWiFi(true);

  Firebase.set(firebaseData, "/patient/number", 1);    
  Firebase.set(firebaseData, "/patient/First", 0);              // set initial string of "OFF" 
  Firebase.set(firebaseData, "/patient/Second", 0);              // set initial string of "OFF" 
  Firebase.set(firebaseData, "/patient/Third", 0);              // set initial string of "OFF" 
  Firebase.set(firebaseData, "/patient/Fourth", 0);              // set initial string of "OFF" 
  Firebase.set(firebaseData, "/patient/Fifth", 0);  

  
}

void loop() {
  ind = 0;
  // put your main code here, to run repeatedly:
  while (!Serial1.available()) {   
     //wait until serial from UART is available.
  }
  while (Serial1.available()){
    rec_byte[ind] =  Serial1.parseInt();
    Serial.println(rec_byte[ind]);       //for diagnosing using USB serial
    ind++;
  }
  for(int i = 0; i< ind; i++)
  {
    Serial.print("a");
    Serial.println(rec_byte[i]);
  }
  //convert byte into int. when reading it on huzzah side.
  //serial.parse int.
  for (int k = 0; k<5; k++){
    states[k] = rec_byte[k+1];
  }

  for (int j = 0; j<5; j++){
    Serial.print(states[j]);
  }

  Serial.println(states[0]);
  Firebase.set(firebaseData, "/patient/First", states[0]);              // set initial string of "OFF" 
  Serial.println(Firebase.get(firebaseData, "/patient/First"));
  Firebase.set(firebaseData, "/patient/Second", states[1]);              // set initial string of "OFF" 
  Firebase.set(firebaseData, "/patient/Third", states[2]);              // set initial string of "OFF" 
  Firebase.set(firebaseData, "/patient/Fourth", states[3]);              // set initial string of "OFF" 
  Firebase.set(firebaseData, "/patient/Fifth", states[4]);              // set initial string of "OFF" 

  //rec_int[ind] = Serial.parseInt();
//https://roberthart56.github.io/SCFAB/SC_lab/PS70_machine/serial_string_to_int_07.txt
//That’s where the code comes from

}
